| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Size interface
Vector Conversions » Upshift

## Upshift of fixed-point 256-bit vector to 512-bit accumulator
shft parameter is in the range of 0 to 63
v8acc64 | ups_to_v8acc64 (v8int32 a, int shft)
v8acc64 | ups_to_v8acc64_conf (v8int32 a, int shft, crsat_t sat)
v8acc64 | ups_to_v8acc64 (v8uint32 a, int shft)
v8acc64 | ups_to_v8acc64_conf (v8uint32 a, int shft, crsat_t sat)
v16acc32 | ups_to_v16acc32 (v16int16 a, int shft)
v16acc32 | ups_to_v16acc32_conf (v16int16 a, int shft, crsat_t sat)
v16acc32 | ups_to_v16acc32 (v16uint16 a, int shft)
v16acc32 | ups_to_v16acc32_conf (v16uint16 a, int shft, crsat_t sat)
v4cacc64 | ups_to_v4cacc64 (v4cint32 a, int shft)
v4cacc64 | ups_to_v4cacc64_conf (v4cint32 a, int shft, crsat_t sat)
v8acc64 | to_v8acc64 (v8int32 a, int shft)
v8acc64 | to_v8acc64_conf (v8int32 a, int shft, crsat_t sat)
v8acc64 | to_v8acc64 (v8uint32 a, int shft)
v8acc64 | to_v8acc64_conf (v8uint32 a, int shft, crsat_t sat)
v16acc32 | to_v16acc32 (v16int16 a, int shft)
v16acc32 | to_v16acc32_conf (v16int16 a, int shft, crsat_t sat)
v16acc32 | to_v16acc32 (v16uint16 a, int shft)
v16acc32 | to_v16acc32_conf (v16uint16 a, int shft, crsat_t sat)
v4cacc64 | to_v4cacc64 (v4cint32 a, int shft)
v4cacc64 | to_v4cacc64_conf (v4cint32 a, int shft, crsat_t sat)

## Upshift of fixed-point 256-bit vector to 512-bit accumulator with dynamic sign
shft parameter is in the range of 0 to 63 sign parameter is the sign for the UPS conversion
v8acc64 | ups_to_v8acc64 (v8int32 a, int shft, int sign)
v8acc64 | ups_to_v8acc64_conf (v8int32 a, int shft, int sign, crsat_t sat)
v8acc64 | ups_to_v8acc64 (v8uint32 a, int shft, int sign)
v8acc64 | ups_to_v8acc64_conf (v8uint32 a, int shft, int sign, crsat_t sat)
v16acc32 | ups_to_v16acc32 (v16int16 a, int shft, int sign)
v16acc32 | ups_to_v16acc32_conf (v16int16 a, int shft, int sign, crsat_t sat)
v16acc32 | ups_to_v16acc32 (v16uint16 a, int shft, int sign)
v16acc32 | ups_to_v16acc32_conf (v16uint16 a, int shft, int sign, crsat_t sat)
v4cacc64 | ups_to_v4cacc64 (v4cint32 a, int shft, int sign)
v4cacc64 | ups_to_v4cacc64_conf (v4cint32 a, int shft, int sign, crsat_t sat)
v8acc64 | to_v8acc64 (v8int32 a, int shft, int sign)
v8acc64 | to_v8acc64_conf (v8int32 a, int shft, int sign, crsat_t sat)
v8acc64 | to_v8acc64 (v8uint32 a, int shft, int sign)
v8acc64 | to_v8acc64_conf (v8uint32 a, int shft, int sign, crsat_t sat)
v16acc32 | to_v16acc32 (v16int16 a, int shft, int sign)
v16acc32 | to_v16acc32_conf (v16int16 a, int shft, int sign, crsat_t sat)
v16acc32 | to_v16acc32 (v16uint16 a, int shft, int sign)
v16acc32 | to_v16acc32_conf (v16uint16 a, int shft, int sign, crsat_t sat)
v4cacc64 | to_v4cacc64 (v4cint32 a, int shft, int sign)
v4cacc64 | to_v4cacc64_conf (v4cint32 a, int shft, int sign, crsat_t sat)

## Upshift of fixed-point 256-bit vector to 1024-bit accumulator
shft parameter is in the range of 0 to 63
v32acc32 | ups_to_v32acc32 (v32int8 a, int shft)
v32acc32 | ups_to_v32acc32_conf (v32int8 a, int shft, crsat_t sat)
v32acc32 | ups_to_v32acc32 (v32uint8 a, int shft)
v32acc32 | ups_to_v32acc32_conf (v32uint8 a, int shft, crsat_t sat)
v16acc64 | ups_to_v16acc64 (v16int16 a, int shft)
v16acc64 | ups_to_v16acc64_conf (v16int16 a, int shft, crsat_t sat)
v16acc64 | ups_to_v16acc64 (v16uint16 a, int shft)
v16acc64 | ups_to_v16acc64_conf (v16uint16 a, int shft, crsat_t sat)
v8cacc64 | ups_to_v8cacc64 (v8cint16 a, int shft)
v8cacc64 | ups_to_v8cacc64_conf (v8cint16 a, int shft, crsat_t sat)
v32acc32 | to_v32acc32 (v32int8 a, int shft)
v32acc32 | to_v32acc32_conf (v32int8 a, int shft, crsat_t sat)
v32acc32 | to_v32acc32 (v32uint8 a, int shft)
v32acc32 | to_v32acc32_conf (v32uint8 a, int shft, crsat_t sat)
v16acc64 | to_v16acc64 (v16int16 a, int shft)
v16acc64 | to_v16acc64_conf (v16int16 a, int shft, crsat_t sat)
v16acc64 | to_v16acc64 (v16uint16 a, int shft)
v16acc64 | to_v16acc64_conf (v16uint16 a, int shft, crsat_t sat)
v8cacc64 | to_v8cacc64 (v8cint16 a, int shft)
v8cacc64 | to_v8cacc64_conf (v8cint16 a, int shft, crsat_t sat)

## Upshift of fixed-point 256-bit vector to 1024-bit accumulator with dynamic sign
shft parameter is in the range of 0 to 63 sign parameter is the sign for the UPS conversion
v32acc32 | ups_to_v32acc32 (v32int8 a, int shft, int sign)
v32acc32 | ups_to_v32acc32_conf (v32int8 a, int shft, int sign, crsat_t sat)
v32acc32 | ups_to_v32acc32 (v32uint8 a, int shft, int sign)
v32acc32 | ups_to_v32acc32_conf (v32uint8 a, int shft, int sign, crsat_t sat)
v16acc64 | ups_to_v16acc64 (v16int16 a, int shft, int sign)
v16acc64 | ups_to_v16acc64_conf (v16int16 a, int shft, int sign, crsat_t sat)
v16acc64 | ups_to_v16acc64 (v16uint16 a, int shft, int sign)
v16acc64 | ups_to_v16acc64_conf (v16uint16 a, int shft, int sign, crsat_t sat)
v8cacc64 | ups_to_v8cacc64 (v8cint16 a, int shft, int sign)
v8cacc64 | ups_to_v8cacc64_conf (v8cint16 a, int shft, int sign, crsat_t sat)
v32acc32 | to_v32acc32 (v32int8 a, int shft, int sign)
v32acc32 | to_v32acc32_conf (v32int8 a, int shft, int sign, crsat_t sat)
v32acc32 | to_v32acc32 (v32uint8 a, int shft, int sign)
v32acc32 | to_v32acc32_conf (v32uint8 a, int shft, int sign, crsat_t sat)
v16acc64 | to_v16acc64 (v16int16 a, int shft, int sign)
v16acc64 | to_v16acc64_conf (v16int16 a, int shft, int sign, crsat_t sat)
v16acc64 | to_v16acc64 (v16uint16 a, int shft, int sign)
v16acc64 | to_v16acc64_conf (v16uint16 a, int shft, int sign, crsat_t sat)
v8cacc64 | to_v8cacc64 (v8cint16 a, int shft, int sign)
v8cacc64 | to_v8cacc64_conf (v8cint16 a, int shft, int sign, crsat_t sat)

## Upshift of fixed-point 512-bit vector to 1024-bit accumulator
shft parameter is in the range of 0 to 63
v16acc64 | ups_to_v16acc64 (v16int32 a, int shft)
v16acc64 | ups_to_v16acc64_conf (v16int32 a, int shft, crsat_t sat)
v16acc64 | ups_to_v16acc64 (v16uint32 a, int shft)
v16acc64 | ups_to_v16acc64_conf (v16uint32 a, int shft, crsat_t sat)
v32acc32 | ups_to_v32acc32 (v32int16 a, int shft)
v32acc32 | ups_to_v32acc32_conf (v32int16 a, int shft, crsat_t sat)
v32acc32 | ups_to_v32acc32 (v32uint16 a, int shft)
v32acc32 | ups_to_v32acc32_conf (v32uint16 a, int shft, crsat_t sat)
v8cacc64 | ups_to_v8cacc64 (v8cint32 a, int shft)
v8cacc64 | ups_to_v8cacc64_conf (v8cint32 a, int shft, crsat_t sat)
v16acc64 | to_v16acc64 (v16int32 a, int shft)
v16acc64 | to_v16acc64_conf (v16int32 a, int shft, crsat_t sat)
v16acc64 | to_v16acc64 (v16uint32 a, int shft)
v16acc64 | to_v16acc64_conf (v16uint32 a, int shft, crsat_t sat)
v32acc32 | to_v32acc32 (v32int16 a, int shft)
v32acc32 | to_v32acc32_conf (v32int16 a, int shft, crsat_t sat)
v32acc32 | to_v32acc32 (v32uint16 a, int shft)
v32acc32 | to_v32acc32_conf (v32uint16 a, int shft, crsat_t sat)
v8cacc64 | to_v8cacc64 (v8cint32 a, int shft)
v8cacc64 | to_v8cacc64_conf (v8cint32 a, int shft, crsat_t sat)

## Upshift of fixed-point 512-bit vector to 1024-bit accumulator with dynamic sign
shft parameter is in the range of 0 to 63 sign parameter is the sign for the UPS conversion
v16acc64 | ups_to_v16acc64 (v16int32 a, int shft, int sign)
v16acc64 | ups_to_v16acc64_conf (v16int32 a, int shft, int sign, crsat_t sat)
v16acc64 | ups_to_v16acc64 (v16uint32 a, int shft, int sign)
v16acc64 | ups_to_v16acc64_conf (v16uint32 a, int shft, int sign, crsat_t sat)
v32acc32 | ups_to_v32acc32 (v32int16 a, int shft, int sign)
v32acc32 | ups_to_v32acc32_conf (v32int16 a, int shft, int sign, crsat_t sat)
v32acc32 | ups_to_v32acc32 (v32uint16 a, int shft, int sign)
v32acc32 | ups_to_v32acc32_conf (v32uint16 a, int shft, int sign, crsat_t sat)
v8cacc64 | ups_to_v8cacc64 (v8cint32 a, int shft, int sign)
v8cacc64 | ups_to_v8cacc64_conf (v8cint32 a, int shft, int sign, crsat_t sat)
v16acc64 | to_v16acc64 (v16int32 a, int shft, int sign)
v16acc64 | to_v16acc64_conf (v16int32 a, int shft, int sign, crsat_t sat)
v16acc64 | to_v16acc64 (v16uint32 a, int shft, int sign)
v16acc64 | to_v16acc64_conf (v16uint32 a, int shft, int sign, crsat_t sat)
v32acc32 | to_v32acc32 (v32int16 a, int shft, int sign)
v32acc32 | to_v32acc32_conf (v32int16 a, int shft, int sign, crsat_t sat)
v32acc32 | to_v32acc32 (v32uint16 a, int shft, int sign)
v32acc32 | to_v32acc32_conf (v32uint16 a, int shft, int sign, crsat_t sat)
v8cacc64 | to_v8cacc64 (v8cint32 a, int shft, int sign)
v8cacc64 | to_v8cacc64_conf (v8cint32 a, int shft, int sign, crsat_t sat)

## Upshift of fixed-point 512-bit vector to 2048-bit accumulator
shft parameter is in the range of 0 to 63
v64acc32 | ups_to_v64acc32 (v64int8 a, int shft)
v64acc32 | ups_to_v64acc32_conf (v64int8 a, int shft, crsat_t sat)
v64acc32 | ups_to_v64acc32 (v64uint8 a, int shft)
v64acc32 | ups_to_v64acc32_conf (v64uint8 a, int shft, crsat_t sat)
v32acc64 | ups_to_v32acc64 (v32int16 a, int shft)
v32acc64 | ups_to_v32acc64_conf (v32int16 a, int shft, crsat_t sat)
v32acc64 | ups_to_v32acc64 (v32uint16 a, int shft)
v32acc64 | ups_to_v32acc64_conf (v32uint16 a, int shft, crsat_t sat)
v16cacc64 | ups_to_v16cacc64 (v16cint16 a, int shft)
v16cacc64 | ups_to_v16cacc64_conf (v16cint16 a, int shft, crsat_t sat)
v64acc32 | to_v64acc32 (v64int8 a, int shft)
v64acc32 | to_v64acc32_conf (v64int8 a, int shft, crsat_t sat)
v64acc32 | to_v64acc32 (v64uint8 a, int shft)
v64acc32 | to_v64acc32_conf (v64uint8 a, int shft, crsat_t sat)
v32acc64 | to_v32acc64 (v32int16 a, int shft)
v32acc64 | to_v32acc64_conf (v32int16 a, int shft, crsat_t sat)
v32acc64 | to_v32acc64 (v32uint16 a, int shft)
v32acc64 | to_v32acc64_conf (v32uint16 a, int shft, crsat_t sat)
v16cacc64 | to_v16cacc64 (v16cint16 a, int shft)
v16cacc64 | to_v16cacc64_conf (v16cint16 a, int shft, crsat_t sat)

## Upshift of fixed-point 512-bit vector to 2048-bit accumulator with dynamic sign
shft parameter is in the range of 0 to 63
v64acc32 | ups_to_v64acc32 (v64int8 a, int shft, int sign)
v64acc32 | ups_to_v64acc32_conf (v64int8 a, int shft, int sign, crsat_t sat)
v64acc32 | ups_to_v64acc32 (v64uint8 a, int shft, int sign)
v64acc32 | ups_to_v64acc32_conf (v64uint8 a, int shft, int sign, crsat_t sat)
v32acc64 | ups_to_v32acc64 (v32int16 a, int shft, int sign)
v32acc64 | ups_to_v32acc64_conf (v32int16 a, int shft, int sign, crsat_t sat)
v32acc64 | ups_to_v32acc64 (v32uint16 a, int shft, int sign)
v32acc64 | ups_to_v32acc64_conf (v32uint16 a, int shft, int sign, crsat_t sat)
v16cacc64 | ups_to_v16cacc64 (v16cint16 a, int shft, int sign)
v16cacc64 | ups_to_v16cacc64_conf (v16cint16 a, int shft, int sign, crsat_t sat)
v64acc32 | to_v64acc32 (v64int8 a, int shft, int sign)
v64acc32 | to_v64acc32_conf (v64int8 a, int shft, int sign, crsat_t sat)
v64acc32 | to_v64acc32 (v64uint8 a, int shft, int sign)
v64acc32 | to_v64acc32_conf (v64uint8 a, int shft, int sign, crsat_t sat)
v32acc64 | to_v32acc64 (v32int16 a, int shft, int sign)
v32acc64 | to_v32acc64_conf (v32int16 a, int shft, int sign, crsat_t sat)
v32acc64 | to_v32acc64 (v32uint16 a, int shft, int sign)
v32acc64 | to_v32acc64_conf (v32uint16 a, int shft, int sign, crsat_t sat)
v16cacc64 | to_v16cacc64 (v16cint16 a, int shft, int sign)
v16cacc64 | to_v16cacc64_conf (v16cint16 a, int shft, int sign, crsat_t sat)

## Upshift from cbfloat16 to complex floating-point (AIE interface)
v8caccfloat | ups (v8cbfloat16)

## Upshift from cbfloat16 to complex floating-point
v8caccfloat | ups_to_v8caccfloat (v8cbfloat16)
v8caccfloat | to_v8caccfloat (v8cbfloat16)
v16caccfloat | ups_to_v16caccfloat (v16cbfloat16 a) chess_property(do_generate)
v16caccfloat | to_v16caccfloat (v16cbfloat16 a) chess_property(do_generate)

## Detailed Description

## Function Documentation

## ◆ to_v16acc32() [1/4]

v16acc32 to_v16acc32 | ( | v16int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v16acc32() [2/4]

v16acc32 to_v16acc32 | ( | v16int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v16acc32() [3/4]

v16acc32 to_v16acc32 | ( | v16uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v16acc32() [4/4]

v16acc32 to_v16acc32 | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v16acc32_conf() [1/4]

v16acc32 to_v16acc32_conf | ( | v16int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16acc32_conf() [2/4]

v16acc32 to_v16acc32_conf | ( | v16int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16acc32_conf() [3/4]

v16acc32 to_v16acc32_conf | ( | v16uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16acc32_conf() [4/4]

v16acc32 to_v16acc32_conf | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16acc64() [1/8]

v16acc64 to_v16acc64 | ( | v16int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v16acc64() [2/8]

v16acc64 to_v16acc64 | ( | v16int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v16acc64() [3/8]

v16acc64 to_v16acc64 | ( | v16int32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v16acc64() [4/8]

v16acc64 to_v16acc64 | ( | v16int32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v16acc64() [5/8]

v16acc64 to_v16acc64 | ( | v16uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v16acc64() [6/8]

v16acc64 to_v16acc64 | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v16acc64() [7/8]

v16acc64 to_v16acc64 | ( | v16uint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v16acc64() [8/8]

v16acc64 to_v16acc64 | ( | v16uint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v16acc64_conf() [1/8]

v16acc64 to_v16acc64_conf | ( | v16int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16acc64_conf() [2/8]

v16acc64 to_v16acc64_conf | ( | v16int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16acc64_conf() [3/8]

v16acc64 to_v16acc64_conf | ( | v16int32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16acc64_conf() [4/8]

v16acc64 to_v16acc64_conf | ( | v16int32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16acc64_conf() [5/8]

v16acc64 to_v16acc64_conf | ( | v16uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16acc64_conf() [6/8]

v16acc64 to_v16acc64_conf | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16acc64_conf() [7/8]

v16acc64 to_v16acc64_conf | ( | v16uint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16acc64_conf() [8/8]

v16acc64 to_v16acc64_conf | ( | v16uint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16cacc64() [1/2]

v16cacc64 to_v16cacc64 | ( | v16cint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v16cacc64() [2/2]

v16cacc64 to_v16cacc64 | ( | v16cint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v16cacc64_conf() [1/2]

v16cacc64 to_v16cacc64_conf | ( | v16cint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16cacc64_conf() [2/2]

v16cacc64 to_v16cacc64_conf | ( | v16cint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v16caccfloat()

v16caccfloat to_v16caccfloat | ( | v16cbfloat16 | a | ) |

## ◆ to_v32acc32() [1/8]

v32acc32 to_v32acc32 | ( | v32int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v32acc32() [2/8]

v32acc32 to_v32acc32 | ( | v32int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v32acc32() [3/8]

v32acc32 to_v32acc32 | ( | v32int8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v32acc32() [4/8]

v32acc32 to_v32acc32 | ( | v32int8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v32acc32() [5/8]

v32acc32 to_v32acc32 | ( | v32uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v32acc32() [6/8]

v32acc32 to_v32acc32 | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v32acc32() [7/8]

v32acc32 to_v32acc32 | ( | v32uint8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v32acc32() [8/8]

v32acc32 to_v32acc32 | ( | v32uint8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v32acc32_conf() [1/8]

v32acc32 to_v32acc32_conf | ( | v32int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v32acc32_conf() [2/8]

v32acc32 to_v32acc32_conf | ( | v32int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v32acc32_conf() [3/8]

v32acc32 to_v32acc32_conf | ( | v32int8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v32acc32_conf() [4/8]

v32acc32 to_v32acc32_conf | ( | v32int8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v32acc32_conf() [5/8]

v32acc32 to_v32acc32_conf | ( | v32uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v32acc32_conf() [6/8]

v32acc32 to_v32acc32_conf | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v32acc32_conf() [7/8]

v32acc32 to_v32acc32_conf | ( | v32uint8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v32acc32_conf() [8/8]

v32acc32 to_v32acc32_conf | ( | v32uint8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v32acc64() [1/4]

v32acc64 to_v32acc64 | ( | v32int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v32acc64() [2/4]

v32acc64 to_v32acc64 | ( | v32int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v32acc64() [3/4]

v32acc64 to_v32acc64 | ( | v32uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v32acc64() [4/4]

v32acc64 to_v32acc64 | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v32acc64_conf() [1/4]

v32acc64 to_v32acc64_conf | ( | v32int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v32acc64_conf() [2/4]

v32acc64 to_v32acc64_conf | ( | v32int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v32acc64_conf() [3/4]

v32acc64 to_v32acc64_conf | ( | v32uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v32acc64_conf() [4/4]

v32acc64 to_v32acc64_conf | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v4cacc64() [1/2]

v4cacc64 to_v4cacc64 | ( | v4cint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v4cacc64() [2/2]

v4cacc64 to_v4cacc64 | ( | v4cint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v4cacc64_conf() [1/2]

v4cacc64 to_v4cacc64_conf | ( | v4cint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v4cacc64_conf() [2/2]

v4cacc64 to_v4cacc64_conf | ( | v4cint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v64acc32() [1/4]

v64acc32 to_v64acc32 | ( | v64int8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v64acc32() [2/4]

v64acc32 to_v64acc32 | ( | v64int8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v64acc32() [3/4]

v64acc32 to_v64acc32 | ( | v64uint8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v64acc32() [4/4]

v64acc32 to_v64acc32 | ( | v64uint8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v64acc32_conf() [1/4]

v64acc32 to_v64acc32_conf | ( | v64int8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v64acc32_conf() [2/4]

v64acc32 to_v64acc32_conf | ( | v64int8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v64acc32_conf() [3/4]

v64acc32 to_v64acc32_conf | ( | v64uint8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v64acc32_conf() [4/4]

v64acc32 to_v64acc32_conf | ( | v64uint8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v8acc64() [1/4]

v8acc64 to_v8acc64 | ( | v8int32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v8acc64() [2/4]

v8acc64 to_v8acc64 | ( | v8int32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v8acc64() [3/4]

v8acc64 to_v8acc64 | ( | v8uint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v8acc64() [4/4]

v8acc64 to_v8acc64 | ( | v8uint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v8acc64_conf() [1/4]

v8acc64 to_v8acc64_conf | ( | v8int32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v8acc64_conf() [2/4]

v8acc64 to_v8acc64_conf | ( | v8int32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v8acc64_conf() [3/4]

v8acc64 to_v8acc64_conf | ( | v8uint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v8acc64_conf() [4/4]

v8acc64 to_v8acc64_conf | ( | v8uint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v8cacc64() [1/4]

v8cacc64 to_v8cacc64 | ( | v8cint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v8cacc64() [2/4]

v8cacc64 to_v8cacc64 | ( | v8cint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v8cacc64() [3/4]

v8cacc64 to_v8cacc64 | ( | v8cint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ to_v8cacc64() [4/4]

v8cacc64 to_v8cacc64 | ( | v8cint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ to_v8cacc64_conf() [1/4]

v8cacc64 to_v8cacc64_conf | ( | v8cint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v8cacc64_conf() [2/4]

v8cacc64 to_v8cacc64_conf | ( | v8cint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v8cacc64_conf() [3/4]

v8cacc64 to_v8cacc64_conf | ( | v8cint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v8cacc64_conf() [4/4]

v8cacc64 to_v8cacc64_conf | ( | v8cint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ to_v8caccfloat()

v8caccfloat to_v8caccfloat | ( | v8cbfloat16 |  | ) |

## ◆ ups()

v8caccfloat ups | ( | v8cbfloat16 |  | ) |

## ◆ ups_to_v16acc32() [1/4]

v16acc32 ups_to_v16acc32 | ( | v16int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc32() [2/4]

v16acc32 ups_to_v16acc32 | ( | v16int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc32() [3/4]

v16acc32 ups_to_v16acc32 | ( | v16uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc32() [4/4]

v16acc32 ups_to_v16acc32 | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc32_conf() [1/4]

v16acc32 ups_to_v16acc32_conf | ( | v16int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc32_conf() [2/4]

v16acc32 ups_to_v16acc32_conf | ( | v16int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc32_conf() [3/4]

v16acc32 ups_to_v16acc32_conf | ( | v16uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc32_conf() [4/4]

v16acc32 ups_to_v16acc32_conf | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64() [1/8]

v16acc64 ups_to_v16acc64 | ( | v16int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64() [2/8]

v16acc64 ups_to_v16acc64 | ( | v16int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64() [3/8]

v16acc64 ups_to_v16acc64 | ( | v16int32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64() [4/8]

v16acc64 ups_to_v16acc64 | ( | v16int32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64() [5/8]

v16acc64 ups_to_v16acc64 | ( | v16uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64() [6/8]

v16acc64 ups_to_v16acc64 | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64() [7/8]

v16acc64 ups_to_v16acc64 | ( | v16uint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64() [8/8]

v16acc64 ups_to_v16acc64 | ( | v16uint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64_conf() [1/8]

v16acc64 ups_to_v16acc64_conf | ( | v16int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64_conf() [2/8]

v16acc64 ups_to_v16acc64_conf | ( | v16int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64_conf() [3/8]

v16acc64 ups_to_v16acc64_conf | ( | v16int32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64_conf() [4/8]

v16acc64 ups_to_v16acc64_conf | ( | v16int32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64_conf() [5/8]

v16acc64 ups_to_v16acc64_conf | ( | v16uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64_conf() [6/8]

v16acc64 ups_to_v16acc64_conf | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64_conf() [7/8]

v16acc64 ups_to_v16acc64_conf | ( | v16uint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16acc64_conf() [8/8]

v16acc64 ups_to_v16acc64_conf | ( | v16uint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16cacc64() [1/2]

v16cacc64 ups_to_v16cacc64 | ( | v16cint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v16cacc64() [2/2]

v16cacc64 ups_to_v16cacc64 | ( | v16cint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v16cacc64_conf() [1/2]

v16cacc64 ups_to_v16cacc64_conf | ( | v16cint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16cacc64_conf() [2/2]

v16cacc64 ups_to_v16cacc64_conf | ( | v16cint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v16caccfloat()

v16caccfloat ups_to_v16caccfloat | ( | v16cbfloat16 | a | ) |

## ◆ ups_to_v32acc32() [1/8]

v32acc32 ups_to_v32acc32 | ( | v32int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32() [2/8]

v32acc32 ups_to_v32acc32 | ( | v32int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32() [3/8]

v32acc32 ups_to_v32acc32 | ( | v32int8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32() [4/8]

v32acc32 ups_to_v32acc32 | ( | v32int8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32() [5/8]

v32acc32 ups_to_v32acc32 | ( | v32uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32() [6/8]

v32acc32 ups_to_v32acc32 | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32() [7/8]

v32acc32 ups_to_v32acc32 | ( | v32uint8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32() [8/8]

v32acc32 ups_to_v32acc32 | ( | v32uint8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32_conf() [1/8]

v32acc32 ups_to_v32acc32_conf | ( | v32int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32_conf() [2/8]

v32acc32 ups_to_v32acc32_conf | ( | v32int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32_conf() [3/8]

v32acc32 ups_to_v32acc32_conf | ( | v32int8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32_conf() [4/8]

v32acc32 ups_to_v32acc32_conf | ( | v32int8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32_conf() [5/8]

v32acc32 ups_to_v32acc32_conf | ( | v32uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32_conf() [6/8]

v32acc32 ups_to_v32acc32_conf | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32_conf() [7/8]

v32acc32 ups_to_v32acc32_conf | ( | v32uint8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc32_conf() [8/8]

v32acc32 ups_to_v32acc32_conf | ( | v32uint8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc64() [1/4]

v32acc64 ups_to_v32acc64 | ( | v32int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc64() [2/4]

v32acc64 ups_to_v32acc64 | ( | v32int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc64() [3/4]

v32acc64 ups_to_v32acc64 | ( | v32uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc64() [4/4]

v32acc64 ups_to_v32acc64 | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc64_conf() [1/4]

v32acc64 ups_to_v32acc64_conf | ( | v32int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc64_conf() [2/4]

v32acc64 ups_to_v32acc64_conf | ( | v32int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc64_conf() [3/4]

v32acc64 ups_to_v32acc64_conf | ( | v32uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v32acc64_conf() [4/4]

v32acc64 ups_to_v32acc64_conf | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v4cacc64() [1/2]

v4cacc64 ups_to_v4cacc64 | ( | v4cint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v4cacc64() [2/2]

v4cacc64 ups_to_v4cacc64 | ( | v4cint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v4cacc64_conf() [1/2]

v4cacc64 ups_to_v4cacc64_conf | ( | v4cint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v4cacc64_conf() [2/2]

v4cacc64 ups_to_v4cacc64_conf | ( | v4cint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v64acc32() [1/4]

v64acc32 ups_to_v64acc32 | ( | v64int8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v64acc32() [2/4]

v64acc32 ups_to_v64acc32 | ( | v64int8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v64acc32() [3/4]

v64acc32 ups_to_v64acc32 | ( | v64uint8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v64acc32() [4/4]

v64acc32 ups_to_v64acc32 | ( | v64uint8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v64acc32_conf() [1/4]

v64acc32 ups_to_v64acc32_conf | ( | v64int8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v64acc32_conf() [2/4]

v64acc32 ups_to_v64acc32_conf | ( | v64int8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v64acc32_conf() [3/4]

v64acc32 ups_to_v64acc32_conf | ( | v64uint8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v64acc32_conf() [4/4]

v64acc32 ups_to_v64acc32_conf | ( | v64uint8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v8acc64() [1/4]

v8acc64 ups_to_v8acc64 | ( | v8int32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v8acc64() [2/4]

v8acc64 ups_to_v8acc64 | ( | v8int32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v8acc64() [3/4]

v8acc64 ups_to_v8acc64 | ( | v8uint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v8acc64() [4/4]

v8acc64 ups_to_v8acc64 | ( | v8uint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v8acc64_conf() [1/4]

v8acc64 ups_to_v8acc64_conf | ( | v8int32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v8acc64_conf() [2/4]

v8acc64 ups_to_v8acc64_conf | ( | v8int32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v8acc64_conf() [3/4]

v8acc64 ups_to_v8acc64_conf | ( | v8uint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v8acc64_conf() [4/4]

v8acc64 ups_to_v8acc64_conf | ( | v8uint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v8cacc64() [1/4]

v8cacc64 ups_to_v8cacc64 | ( | v8cint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v8cacc64() [2/4]

v8cacc64 ups_to_v8cacc64 | ( | v8cint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v8cacc64() [3/4]

v8cacc64 ups_to_v8cacc64 | ( | v8cint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ ups_to_v8cacc64() [4/4]

v8cacc64 ups_to_v8cacc64 | ( | v8cint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ ups_to_v8cacc64_conf() [1/4]

v8cacc64 ups_to_v8cacc64_conf | ( | v8cint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v8cacc64_conf() [2/4]

v8cacc64 ups_to_v8cacc64_conf | ( | v8cint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v8cacc64_conf() [3/4]

v8cacc64 ups_to_v8cacc64_conf | ( | v8cint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v8cacc64_conf() [4/4]

v8cacc64 ups_to_v8cacc64_conf | ( | v8cint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ ups_to_v8caccfloat()

v8caccfloat ups_to_v8caccfloat | ( | v8cbfloat16 |  | ) |